<div class="wrapper-checkout">
  <div class="checkout">
    <div class="no-reservation" *ngIf="noResult">
      <h1>Aucune résevation trouvé</h1>
      <img src="assets/images/sel-no-results.png" alt="">
    </div>

    <div class="table-wrapper" *ngIf="noReservation">
      <h1>Vos réservations</h1>
      <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort>

          <!-- LeavingFrom Column -->
          <ng-container matColumnDef="leavingFrom">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Partir de </th>
            <td mat-cell *matCellDef="let row"> {{row.leavingFrom}} </td>
          </ng-container>

          <!-- GoingTo Column -->
          <ng-container matColumnDef="goingTo">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Aller à </th>
            <td mat-cell *matCellDef="let row"> {{row.goingTo}} </td>
          </ng-container>

          <!-- Date Column -->
          <ng-container matColumnDef="date">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Date </th>
            <td mat-cell *matCellDef="let row"> {{row.date | date: 'dd/MM/yyyy'}} </td>
          </ng-container>

          <!-- Time Column -->
          <ng-container matColumnDef="time">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Heure de départ </th>
            <td mat-cell *matCellDef="let row"> {{row.date | date: 'HH:mm'}} </td>
          </ng-container>

          <!-- Price Column -->
          <ng-container matColumnDef="price">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Prix </th>
            <td mat-cell *matCellDef="let row"> {{row.price | currency:'EUR'}} </td>
          </ng-container>


          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

          <!-- Row shown when there is no matching data. -->
          <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="4">Aucune donnée correspondant à votre recherche </td>
          </tr>
        </table>

        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
      </div>
    </div>
  </div>

  <div class="fix-checkout">
    <h2>Votre commande</h2>
    <div class="wrapper-total">
      <span>Montant total (TTC)</span>
      <span>{{ total | currency:'EUR'}}</span>
    </div>

    <mat-accordion>
      <h3>Moyen de payement</h3>
      <h6>Choisissez votre mode de payement</h6>

        <mat-expansion-panel (opened)="panelPaypal = true"
                            (closed)="panelPaypal = false">
          <mat-expansion-panel-header>
            <mat-panel-title>
              Paypal
            </mat-panel-title>
          </mat-expansion-panel-header>

          <h5>Avec le mode de payement Paypal, vous avez 5% de remise ! <br/>Le reste à payer est : {{ paypalDiscount | currency:'EUR' }}</h5>
          <mat-form-field class="full-width" appearance="fill">
            <mat-label>Email</mat-label>
            <input type="email" matInput [formControl]="paypalMail" [errorStateMatcher]="matcher"
                  placeholder="Ex. pat@example.com">
            <mat-error *ngIf="paypalMail.hasError('email') && !paypalMail.hasError('required')">
              Veuillez entrer un mail valide
            </mat-error>
            <mat-error *ngIf="paypalMail.hasError('required')">
              L'amail est <strong>requis</strong>
            </mat-error>
          </mat-form-field>

        </mat-expansion-panel>

        <mat-expansion-panel (opened)="panelCB = true"
                             (closed)="panelCB = false">
          <mat-expansion-panel-header>
            <mat-panel-title>
              Carte bancaire
            </mat-panel-title>
          </mat-expansion-panel-header>

          <form [formGroup]="payCBForm">
            <mat-form-field class="full-width" appearance="fill">
              <mat-label>1234 5678 9012 3456</mat-label>
              <input matInput formControlName="cardNumber" placeholder="1234 5678 9012 3456" type="tel"
                    maxlength="20" #ccNumber (keydown)="creditCardNumberSpacing($event)">
            </mat-form-field>
          </form>
        </mat-expansion-panel>

    </mat-accordion>

    <button mat-raised-button class="btn-pay" color="primary"
            [disabled]="(!panelCB && !panelPaypal) || total == 0">
      Payer maintenant
    </button>
  </div>
</div>

